SDL_FillRect(3)

NAME
SDL_FillRect- This function performs a fast fill of the given rectangle with some color

SYNOPSIS

#include "SDL.h"

int SDL_FillRect(SDL_Surface *dst, SDL_Rect *dstrect, Uint32 color);

DESCRIPTION

This function performs a fast fill of the given rectangle with color. If dstrect is NULL, the whole surface will be filled with color.

The color should be a pixel of the format used by the surface, and can be generated by the SDL_MapRGB or SDL_MapRGBA functions. If the color value contains an alpha value then the destination is simply "filled" with that alpha information, no blending takes place.

If there is a clip rectangle set on the destination (set via SDL_SetClipRect) then this function will clip based on the intersection of the clip rectangle and the dstrect rectangle and the dstrect rectangle will be modified to represent the area actually filled.

RETURN VALUE

This function returns 0 on success, or -1 on error.

SEE ALSO

SDL_MapRGB, SDL_MapRGBA, SDL_BlitSurface, SDL_Rect